// 
// written by Stefan Weinzierl
//

#include <iostream>
#include "partonevolution/partonevolution.h"

int main()
{
  using namespace std;
  using namespace pdf;

  // select truncation methods
  alpha_strong::method = alpha_strong::truncate_in_one_over_L;
  evolutionkernel::method = evolutionkernel::N_space;

  // define a toy model with 4 flavours
  alpha_strong::charm_threshold  = 0.0;
  alpha_strong::bottom_threshold = 1E10;
  alpha_strong::lambda_4 = 0.250;

  // define a parton distribution
  double Q0 = 2.0;
  double A_u[1]     = { 35/16.};
  double alpha_u[1] = { 0.5 };
  double beta_u[1]  = { 3.0 };
  int eta = -1;

  partondistribution f =
    partondistribution(1,Q0,A_u,alpha_u,beta_u,eta);

  // evolution
  double Q = 10.0;
  double x = 0.01;

  double res = evolve_nonsinglet(f,Q,x);

  // print out result
  cout << "x*f(x,Q^2) = " << x*res << endl;
}
