
/** @file matrix_c.h
 *
 * Interface to matrix_c
 *
 */

/*
 *  Copyright (C) 2002 Stefan Weinzierl
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PDF_MATRIX_C_H__
#define __PDF_MATRIX_C_H__

#include "complex_d.h"
#include "matrix_template.h"

namespace pdf {

  /// vector of complex numbers with double precision
  typedef vector_template<complex_d> vector_c;

  /// matrix of complex numbers with double precision
  typedef matrix_template<complex_d> matrix_c;

} // namespace pdf

#endif // ndef __PDF_MATRIX_C_H__

